C API Functions

## udbEntityNameLong

### Description

Return the long name of the specified entity.

If there is no long name defined for this entity, then the short name is returned.

Examples of entities with long names include files, C++ members and most Ada entities. Long names include the name of the compilation unit for entity and function names (Ada), the class name for class members (C++), and the full file path for file names.

### Syntax

     #include "udb/udb.h"
     char   *udbEntityNameLong(UdbEntity entity)

### Arguments

Argument | description
UdbEntity entity | Specify the entity

### Return Values

Return values | description
char * | The long name of the entity. This is permanent, non-allocated.

### Example Usage

     printf ("Fullname: %s, Shortname: %s\n",
             udbEntityNameLong(entity),
             udbEntityNameShort(entity) );

### See Also

udbEntityNameShort to get the short name of an entity.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com